Bug 1107710 - Filter create/edit breaks if the resource type does not have a corresponding controller with 'autocomplete_search'
Summary: Filter create/edit breaks if the resource type does not have a corresponding ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dmitri Dolguikh
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:55 UTC by Bryan Kearney
Modified: 2016-04-22 16:19 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-11 12:26:15 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5553 None None None 2016-04-22 16:19 UTC

Description Bryan Kearney 2014-06-10 12:55:28 UTC
If a permission set is created and specifies a resource type that does not contain an autocomplete route, the permissions aren't loaded by the UI and leaves the user in a weird broken state that they are unaware of. The line that leads to this is - https://github.com/theforeman/foreman/blob/develop/app/helpers/filters_helper.rb#L14 which throws a backend error since the first argument is nil.

Comment 1 Bryan Kearney 2014-06-10 12:55:30 UTC
Created from redmine issue http://projects.theforeman.org/issues/5553

Comment 2 Bryan Kearney 2014-06-10 12:55:36 UTC
Upstream bug assigned to ddolguik@redhat.com

Comment 3 Bryan Kearney 2014-06-10 13:04:52 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5553 has been closed

Comment 6 Bryan Kearney 2014-09-11 12:26:15 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.